
Redmine - Feature #33422

Re-implement admin project list using ProjectQuery system

2020-05-08 22:50 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

This would be nice to have now that #29482 is introduced. It seems an issue for this separate task isn't yet available, so I'll create it

hereby.

Related issues:

Related to Redmine - Feature #36691: Background job and dedicated status for ... Closed

Has duplicate Redmine - Feature #12072: Add filtering to project list in admi... Closed

Follows Redmine - Feature #29482: Query system for Projects page Closed

Associated revisions

Revision 21519 - 2022-04-01 17:08 - Marius BĂLTEANU

Reuse ProjectQuery filters on the admin project list (#33422).

Patch by Takenori TAKAKI.

Revision 21520 - 2022-04-01 17:09 - Marius BĂLTEANU

Adds context menu to admin projects list (#33422).

Patch by Jens Krämer.

History

#1 - 2020-05-08 22:51 - Mischa The Evil

- Follows Feature #29482: Query system for Projects page added

#2 - 2021-06-10 03:57 - Go MAEDA

- Has duplicate Feature #12072: Add filtering to project list in administration added

#3 - 2021-10-07 04:29 - Takenori TAKAKI

- File project-query-available-on-admin-project-list.png added

- File project-query-available-on-admin-project-list.patch added

I made a patch to allow ProjectQuery filters on the admin project list and attach it.

After applying the patch, ProjectQuery will be available on admin project list as shown in the screenshot below.
https://www.redmine.org/issues/29482


project-query-available-on-admin-project-list.png 

#4 - 2022-03-31 13:03 - Jens Krämer

- File 0003-background-job-for-project-deletion.patch added

- File 0002-Adds-context-menu-to-admin-projects-list.patch added

- File 0001-ProjectQuery-filters-on-the-admin-project-list.patch added

- File 0004-projects-bulk-delete.patch added

Thank you for that patch!

We recently did some work on that Admin projects list at Planio and will be rolling out this feature soon.
https://plan.io/redmine-hosting


I've rebased the original patch and fixed some Rubocop offenses, this is patch 0001 of the attached series. The second patch adds a context menu to

the admin projects listing, replacing the last column of action links with the triple dot link and adding multi-select capability with checkboxes, just like in

the issues list. The third patch introduces a background job for project deletion (this is basically the same as submitted in #36691). I included it here

because the fourth patch, which introduces deletion of multiple selected projects at once, depends on this one.

#5 - 2022-03-31 13:12 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Target version set to 5.1.0

#6 - 2022-04-01 17:37 - Marius BĂLTEANU

- Status changed from New to Resolved

- Resolution set to Fixed

Committed first two patches, thanks!

#7 - 2022-04-01 17:37 - Marius BĂLTEANU

I'm going to commit last two patches as part of #36691.

#8 - 2022-04-03 09:46 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#9 - 2022-04-03 09:49 - Marius BĂLTEANU

- Related to Feature #36691: Background job and dedicated status for project deletion added

#10 - 2022-05-21 21:20 - Alexander Meindl

Hi,

just my opinion to it: I would drop admin list in admin area completely and move additional admin tasks to the project query list. This would be a

solution without redundant information and functions. If I am a user with admin permissions, I would expect to run all operations in my project list. No

switching between one admin list to the other list would be required (which looks almost identically).

Technical view: with this patch we have a lot of if/else condition everywhere (views and helpers). One list would be a much cleaner approach.

Just for interest: what do you (other people here on redmine.org) think about this implementation?

PS: of course with this patch it is a better solution as before, but in my opinion in the wrong direction

#11 - 2022-05-22 07:36 - Bernhard Rohloff

Hi all,

I'm also in favor of Alexander Meindl's proposal. IMHO it doesn't make sense to have two different views and entry points. As an administrator,

copying template projects is one of my main tasks. It would be so nice if I could just do it from the normal projects view.

Files

project-query-available-on-admin-project-list.png 407 KB 2021-10-07 Takenori TAKAKI

project-query-available-on-admin-project-list.patch 16.7 KB 2021-10-07 Takenori TAKAKI

0003-background-job-for-project-deletion.patch 15 KB 2022-03-31 Jens Krämer

0002-Adds-context-menu-to-admin-projects-list.patch 5.79 KB 2022-03-31 Jens Krämer

0001-ProjectQuery-filters-on-the-admin-project-list.patch 18.6 KB 2022-03-31 Jens Krämer

0004-projects-bulk-delete.patch 10.7 KB 2022-03-31 Jens Krämer
